/*
   This stylesheets concerns the whole new sponsorship form wizard
   /templates/pages/my2_new_sponsorship_wizard.xml
*/

.step-progress-container {
    --step-marker-size: 2rem;
    position: relative;
    width: 100%;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
    min-height: var(--step-marker-size);
}

.step-progress-track {
    height: 0.5rem;
    position: absolute;
    margin: auto;
    margin-left: calc(var(--step-marker-size) / 2);
    margin-right: calc(var(--step-marker-size) / 2);
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.step-marker-container {
    width: var(--step-marker-size);
    height: var(--step-marker-size);
    align-content: center;
    z-index: 1;
}

.step-marker {
    width: 1.1rem;
    height: 1.1rem;
    border-radius: 50%;
    margin: auto;
}

.step-marker-active {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;

    width: var(--step-marker-size);
    height: var(--step-marker-size);
    border-radius: 50%;
    border: 0.65rem solid;
}

.new-sponsorship-wizard-form input {
    width: 100%;
    height: 2.6rem;
    border-radius: 5px;
    border: 1px solid var(--mid-grey);
    padding-left: 10px;
    padding-right: 10px;
}

.new-sponsorship-wizard-form input[type="checkbox"] {
    width: 1.4rem;
    height: 1.4rem;
}

.new-sponsorship-wizard-form input[type="radio"] {
    width: 1.4rem;
    height: 1.4rem;
}

.new-sponsorship-wizard-form button {
    max-width: 300px;
    width: 100%;
}

.back-button {
    appearance: none;
    background: none;
    border: none;
}

.back-button:focus {
    outline: none;
}

.new-sponsorship-container {
    max-width: calc(min(500px, 100% - 25px));
    margin-left: auto;
    margin-right: auto;
}

.new-sponsorship-wizard-form .is-invalid {
    border: 1px solid var(--mid-orange);
    border-left: 5px solid var(--mid-orange);
}

.thank-you-child-profile {
    max-width: 350px;
}

.contribution-suggested-amount label {
    height: 2.6rem;
    text-align: center;
    color: var(--low-blue);
    align-content: center;
    border: 1px solid var(--low-blue);
    border-radius: 5px;
    transition: 0.1s all linear;
    cursor: pointer;
}

.contribution-suggested-amount input {
    display: none;
}

.contribution-suggested-amount:has(input:checked) label {
    color: var(--pure-white);
    background-color: var(--low-blue);
}

#wap-age-modal .modal-body {
    position: relative;
}

#wap-age-modal .btn-close {
    position: absolute;
    width: 1.2em;
    height: 1.2em;
    top: 0;
    right: 0;
}
